controller:
  updateStrategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 1

  ingressClassResource:
    name: nginx

  # added for idpbuilder
  allowSnippetAnnotations: true

  # added for idpbuilder
  config:
    proxy-buffer-size: 32k
    use-forwarded-headers: "true"

  # monitoring nginx
  metrics:
    enabled: true
    serviceMonitor:
      additionalLabels: 
        release: "ingress-nginx"  
      enabled: true


  hostPort:
    enabled: true
  terminationGracePeriodSeconds: 0
  service:
    type: NodePort

  nodeSelector:
    ingress-ready: "true"
  tolerations:
    - key: "node-role.kubernetes.io/master"
      operator: "Equal"
      effect: "NoSchedule"
    - key: "node-role.kubernetes.io/control-plane"
      operator: "Equal"
      effect: "NoSchedule"

  publishService:
    enabled: false
  extraArgs:
    publish-status-address: localhost
    # added for idpbuilder
    enable-ssl-passthrough: ""

